Retrieves the traffic filter by ID.

Base URL
https://api.elastic-cloud.com
  • GET /api/v1/serverless/traffic-filters/{id}
Auth

Retrieves a list of resources that are associated to the specified traffic filter.

Path parameters

id string required

The traffic filter ID.

Responses

The container for a set of traffic filter rules.

application/json
id string · min length: 32 · max length: 32 required

The traffic filter ID

name string · min length: 1 · max length: 128 required

Name of the traffic filter

description string · min length: 0 · max length: 512

Description of the traffic filter

type enum · min length: 1 · max length: 32 required

Type of the traffic filter. Determines which rule fields are valid:

  • ip — IP/CIDR allowlist (source)
  • vpce — AWS PrivateLink VPC endpoint (source)
  • private_endpoint — Azure Private Link (azure_endpoint_name, azure_endpoint_guid)
  • psc_endpoint — GCP Private Service Connect endpoint (source)
Values: ip vpce private_endpoint psc_endpoint
include_by_default boolean required

Should the traffic filter be automatically included in the new projects

region string · min length: 1 · max length: 32 required

The traffic filter can be attached only to projects in the specific region

rules object[] required

List of rules

description string

Optional human-readable description of the rule.

source string

Allowed source for ip, vpce, or psc_endpoint filters: an IP address, CIDR mask, AWS VPC endpoint ID (vpce- followed by 17 lowercase hex characters), or GCP PSC connection ID. Must not be set for private_endpoint filters.

azure_endpoint_name string · min length: 2 · max length: 80 · pattern: ^[a-zA-Z0-9][-\w.]{0,78}[\w]$

Azure Private Endpoint resource name. Required for private_endpoint filters; not applicable to ip, vpce, or psc_endpoint filters. Must be 2–80 characters, start with an alphanumeric character, and end with an alphanumeric character or underscore. May contain alphanumerics, underscores, periods, and hyphens.

azure_endpoint_guid string · pattern: ^[a-f0-9]{8}-([a-f0-9]{4}-){3}[a-f0-9]{12}$

Azure Private Endpoint resource GUID (properties.resourceGuid from the Azure resource). Required for private_endpoint filters. Must be a lowercase UUID. This is not the ARM resource ID.

Response headers

ETag string
Base URL
https://api.elastic-cloud.com